Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If Label1.ImageIndex < ImageList1.Images.Count - 1 Then
            Label1.ImageIndex += 1
        Else
            Label1.ImageIndex = 0
        End If
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        If OpenFileDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            If Not (OpenFileDialog1.FileNames Is Nothing) Then
                Dim intIndice As Integer
                For intIndice = 0 To OpenFileDialog1.FileNames.Length - 1
                    ImageList1.Images.Add(Image.FromFile(OpenFileDialog1.FileNames(intIndice)))
                Next intIndice
            Else
                ImageList1.Images.Add(Image.FromFile(OpenFileDialog1.FileName))
            End If
        End If
    End Sub
End Class
